# BodyRequest

open class BodyRequest : BaseRequest
Content copied to clipboard

## Functions

addUploadListener
Link copied to clipboard
fun addUploadListener(progressListener: ProgressListener)
Content copied to clipboard
上传进度监听器
buildRequest
Link copied to clipboard
open override fun buildRequest(): Request
Content copied to clipboard
json
Link copied to clipboard
fun json(vararg body: Pair<String, Any?>)
Content copied to clipboard
fun json(body: String?)
Content copied to clipboard
fun json(body: Map<String, Any?>?)
Content copied to clipboard
fun json(body: JSONArray?)
Content copied to clipboard
fun json(body: JSONObject?)
Content copied to clipboard
param
Link copied to clipboard
fun param(body: MultipartBody.Part)
Content copied to clipboard
fun param(name: String, value: File?)
Content copied to clipboard
open override fun param(name: String, value: Boolean?)
Content copied to clipboard
fun param(name: String, value: ByteArray?)
Content copied to clipboard
open override fun param(name: String, value: Number?)
Content copied to clipboard
fun param(name: String, values: List<File?>?)
Content copied to clipboard
fun param(name: String, value: RequestBody?)
Content copied to clipboard
fun param(name: String, value: ByteString?)
Content copied to clipboard
fun param(body: RequestBody, header: Headers? = null)
Content copied to clipboard
fun param(name: String, fileName: String?, value: File?)
Content copied to clipboard
open override fun param(name: String, value: String?, encoded: Boolean)
Content copied to clipboard

## Properties

body
Link copied to clipboard
open var body: RequestBody? = null
Content copied to clipboard
formBody
Link copied to clipboard
open var formBody: FormBody.Builder
Content copied to clipboard
mediaType
Link copied to clipboard
open var mediaType: MediaType
Content copied to clipboard
method
Link copied to clipboard
open override var method: Method
Content copied to clipboard
partBody
Link copied to clipboard
open var partBody: MultipartBody.Builder
Content copied to clipboard